package com.mso.master;

public class BusStop {

    private String name;
    private String nameWithAbbreviations;
    private String busStopMaintainer;

    private String locationId;

    private String longitude;
    private String latitude;
    private boolean goingTowardsCentrum;

    public BusStop() {
    }

    public BusStop(String name, String abbname, String locId, String maintainer, String longitude, String latitude, boolean towrds) {
//        this.busStopId = busStopId;
        this.name = name;
        this.nameWithAbbreviations = abbname;
        this.locationId = locId;
        this.busStopMaintainer = maintainer;
        this.longitude = longitude;
        this.latitude = latitude;
        this.goingTowardsCentrum = towrds;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getNameWithAbbreviations() {
        return nameWithAbbreviations;
    }

    public void setNameWithAbbreviations(String nameWithAbbreviations) {
        this.nameWithAbbreviations = nameWithAbbreviations;
    }

    public String getBusStopMaintainer() {
        return busStopMaintainer;
    }

    public void setBusStopMaintainer(String busStopMaintainer) {
        this.busStopMaintainer = busStopMaintainer;
    }

    public String getLocationId() {
        return locationId;
    }

    public void setLocationId(String locationId) {
        this.locationId = locationId;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String d) {
        this.longitude = d;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }


    public boolean isGoingTowardsCentrum() {
        return locationId.charAt(4) == '1' ? true : false;
    }

    public int compareTo(BusStop n) {
        return locationId.compareTo(n.locationId);
    }

    @Override
    public String toString() {
        return "BusStop{" +
//                "busStopId=" + busStopId +
                ", name='" + name + '\'' +
                ", nameWithAbbreviations='" + nameWithAbbreviations + '\'' +
                ", busStopMaintainer='" + busStopMaintainer + '\'' +
                ", locationId='" + locationId + '\'' +
                ", longitude=" + longitude +
                ", latitude=" + latitude +
                '}';
    }

	public void setGoingTowardsCentrum(boolean goingTowardsCentrum) {
		this.goingTowardsCentrum = goingTowardsCentrum;
	}
}