package com.mso.master;

import java.util.ArrayList;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.TextView;

public class CustomBusStopAdapter extends ArrayAdapter<DistanceBusStops> {
   private ArrayList<DistanceBusStops> objects;

   public CustomBusStopAdapter(Context context, int textViewResourceId, ArrayList<DistanceBusStops>     objects) {
        super(context, textViewResourceId, objects);
        this.objects = objects;
}

  @Override
  public View getView(int position, View convertView, ViewGroup parent) {

  View v = convertView;
  if (v == null) {
        LayoutInflater inflater = (LayoutInflater) getContext().getSystemService(Context.LAYOUT_INFLATER_SERVICE);
        v = inflater.inflate(R.layout.row_busstops, null);
    }


  DistanceBusStops i = objects.get(position);

if (i != null) {
    TextView nameView = (TextView) v.findViewById(R.id.column1);
    TextView distView = (TextView) v.findViewById(R.id.column2);

    if (nameView != null){
        nameView.setText(i.getBusStopName());
    }
    if (distView != null){
    	distView.setText(i.getDistance());
    }

}

return v;
  }
} 