package com.mso.master;

import java.util.ArrayList;


import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.TextView;


	public class CustomRoutePopUpAdapter extends ArrayAdapter<SchedulesByBusStop> {
		   private ArrayList<SchedulesByBusStop> objects;

		   public CustomRoutePopUpAdapter(Context context, int textViewResourceId, ArrayList<SchedulesByBusStop> objects) {
		        super(context, textViewResourceId, objects);
		        this.objects = objects;
		}

		  @Override
		  public View getView(int position, View convertView, ViewGroup parent) {

		  View v = convertView;
		  if (v == null) {
		        LayoutInflater inflater = (LayoutInflater) getContext().getSystemService(Context.LAYOUT_INFLATER_SERVICE);
		        v = inflater.inflate(R.layout.row_routepopup, null);
		    }


		  SchedulesByBusStop i = objects.get(position);

		if (i != null) {
		    TextView routeView = (TextView) v.findViewById(R.id.column1_popup);
		    TextView directionView = (TextView) v.findViewById(R.id.column2_popup);

		    
		    if (routeView != null){
		    	routeView.setText(i.getLine());
		    }
	
		    if (directionView != null){
		    	directionView.setText(i.getDestination());
		    }

		}

		return v;
		  }
		} 