package com.mso.master;

import java.util.ArrayList;
import java.util.List;

public class Trip {


	private String line;
	private String destination;
	private String startBusStopId;
	private List<Stops> stops;
	private String tripID;
	
	public Trip(){
		stops = new ArrayList<Stops>();
	}
	
	public Trip(String line, String destination, List<Stops> stops, String busStopId) {
		super();
		this.line = line;
		this.destination = destination;
		this.stops = stops;
//		this.busStopId = busStopId;
	}
	
	public String getLine() {
		return line;
	}
	public void setLine(String line) {
		this.line = line;
	}
	public String getDestination() {
		return destination;
	}
	public void setDestination(String destination) {
		this.destination = destination;
	}
	public List<Stops> getStops() {
		return stops;
	}
	public void setStops(List<Stops> stops) {
		this.stops = stops;
	}

	public String getBusStopId() {
		return startBusStopId;
	}

	public void setBusStopId(String busStopId) {
		this.startBusStopId = busStopId;
	}
	
	public void addStop(Stops stop){
		stops.add(stop);
	}

	public String getTripID() {
		return tripID;
	}

	public void setTripID(String tripID) {
		this.tripID = tripID;
	}
	
}
